
Tripnet - Feature #43187
Edit feature
07/10/2018 11:32 am - Sreerag Prasannan

Status: Closed Start date: 07/10/2018
Priority: High Due date: 07/11/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 9.10 hours
End_Date: 07/11/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

Ensure for masteradmin the following fields are editable even in all the status - Please do this for FLIGHT AND HOTEL

1) Hotel details  - ROOM NAME, CANCELLATION POLICY, NIGHT, DATE , CONFIRMATION NUMBER, PASSENGER COUNT

2) ALL AMOUNT SECTION - Editable in payment details section.

once edited corresponding fields related to it should also work.

History
#1 - 07/10/2018 11:33 am - Sreerag Prasannan
- Description updated

#2 - 07/10/2018 12:39 pm - Vipin das
- Due date set to 07/10/2018
- Status changed from New to Assigned
- Assignee set to Jils Thomas

#3 - 07/10/2018 12:51 pm - Jils Thomas
- Status changed from Assigned to In Progress

#4 - 07/10/2018 04:32 pm - Jubin J
- Due date changed from 07/10/2018 to 07/11/2018

need to implement flight, also done the tripnet support. so change the date

#5 - 07/10/2018 05:49 pm - Jils Thomas
- % Done changed from 0 to 50

    -  Implemented in hotel with permission "AllowEditingHotelTransaction"

#6 - 07/11/2018 08:04 am - Jils Thomas
- Status changed from In Progress to On hold
    -  Critical Live Issue #43238

#7 - 07/11/2018 08:54 am - Jils Thomas
- Status changed from On hold to In Progress

#8 - 07/11/2018 03:30 pm - Jils Thomas
- Status changed from In Progress to Fixed not Tested
- % Done changed from 50 to 100
- End_Date set to 07/11/2018

    -  Editing feature added conditionally for both flight and hotel transactions.

    -  Editing of Payment summary is added for flight (BaseFare, Airline Tax, Markup and Discount)

    -  All editing functionalities of flight and hotel are restricted with permissions
- Flight Editing permission : 'Allow Editing Flight Transaction'
- Hotel Editing permission : 'Allow Editing Hotel Transaction'

Please add these permission to the table :

1. insert into [CaxPermissionnew] values('Allow Editing Hotel Transaction','Existing',1,1,'AllowEditingHotelTransaction')
2. insert into [CaxPermissionnew] values('Allow Editing Flight Transaction','Existing',1,1,'AllowEditingFlightTransaction')

#9 - 07/18/2018 08:13 am - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Jils Thomas)

edit feature hotel working fine , verified TQR  and Sales report

edit feature Working in Flight - Payment Splitup not Done, All others Done.

verified URL -http://192.168.1.100/tripnetadmin

Delivering Hotel case only as it is at most priority Flight will be scheduled in next release
